curl --request POST \
--url https://api.voucher-staging.allride.io/partner/v1/brand-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'logo',
contentType: 'image/png',
sizeBytes: 48213,
sha256: '9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6'
})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/brand-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/brand-assets"
payload = {
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/partner/v1/brand-assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"logo\",\n \"contentType\": \"image/png\",\n \"sizeBytes\": 48213,\n \"sha256\": \"9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/brand-assets"
payload := strings.NewReader("{\n \"kind\": \"logo\",\n \"contentType\": \"image/png\",\n \"sizeBytes\": 48213,\n \"sha256\": \"9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/brand-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'logo',
'contentType' => 'image/png',
'sizeBytes' => 48213,
'sha256' => '9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 3096,
"resource": "brand-asset",
"partnerId": 1069,
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"width": null,
"height": null,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6",
"publicUrl": "https://assets.voucher.allride.io/example-transit/3096.png",
"status": "pending-upload",
"rejectionReason": null,
"uploadTarget": {
"url": "https://storage.googleapis.com/allride-voucher-prod-uploads/uploads/1069/brand-assets/3096?X-Goog-Signature=…",
"method": "PUT",
"headers": {
"Content-Type": "image/png",
"x-goog-content-length-range": "48213,48213"
},
"expiresAt": "2026-10-22T11:00:00Z"
},
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/brand-assets/3096",
"type": "application/json"
}
}
}
}Create a brand asset
Creates an asset in pending-upload with a signed upload URL valid for one hour. PUT the file to uploadTarget.url with the listed headers, then call :complete.
Required permissions: manage-workspace-branding · API keys: allowed
curl --request POST \
--url https://api.voucher-staging.allride.io/partner/v1/brand-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'logo',
contentType: 'image/png',
sizeBytes: 48213,
sha256: '9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6'
})
};
fetch('https://api.voucher-staging.allride.io/partner/v1/brand-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/brand-assets"
payload = {
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/partner/v1/brand-assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"logo\",\n \"contentType\": \"image/png\",\n \"sizeBytes\": 48213,\n \"sha256\": \"9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/brand-assets"
payload := strings.NewReader("{\n \"kind\": \"logo\",\n \"contentType\": \"image/png\",\n \"sizeBytes\": 48213,\n \"sha256\": \"9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/brand-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => 'logo',
'contentType' => 'image/png',
'sizeBytes' => 48213,
'sha256' => '9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 3096,
"resource": "brand-asset",
"partnerId": 1069,
"kind": "logo",
"contentType": "image/png",
"sizeBytes": 48213,
"width": null,
"height": null,
"sha256": "9f2c1e0d8b7a69584736251403f2e1d0c9b8a79685746352413021f0e9d8c7b6",
"publicUrl": "https://assets.voucher.allride.io/example-transit/3096.png",
"status": "pending-upload",
"rejectionReason": null,
"uploadTarget": {
"url": "https://storage.googleapis.com/allride-voucher-prod-uploads/uploads/1069/brand-assets/3096?X-Goog-Signature=…",
"method": "PUT",
"headers": {
"Content-Type": "image/png",
"x-goog-content-length-range": "48213,48213"
},
"expiresAt": "2026-10-22T11:00:00Z"
},
"createdBy": {
"type": "partner-user",
"id": 4069,
"label": "ops@example.com"
},
"createdAt": "2026-10-22T10:00:00Z",
"updatedAt": "2026-10-22T10:00:00Z",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/brand-assets/3096",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Headers
Optional key (1-255 printable ASCII characters, no spaces; a UUID is ideal) that makes this POST safe to retry: the same key with the same request replays the stored response for 24 hours. See Idempotency.
1 - 255^[\x21-\x7E]{1,255}$Body
Upload request for a new asset.
Asset kind.
logo, logo-dark, icon, hero, favicon, email-logo Image type (SVG is not accepted).
image/png, image/jpeg, image/webp File size: at most 2 MiB (hero at most 5 MiB).
1 <= x <= 5242880SHA-256 of the file (64 lower-case hex characters).
^[0-9a-f]{64}$Response
Created
Single-object envelope around a BrandAsset.
An image used by branding and email templates.
Show child attributes
Show child attributes